/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "dgtX1d.h"

FD_dgtX1d *create_form_dgtX1d(filename)
char *filename;
{
  FL_OBJECT *obj;
  FD_dgtX1d *fdui = (FD_dgtX1d *) fl_calloc(1, sizeof(*fdui));
  char word[50];

  sprintf(word,"Dataset: %s",filename);

  fdui->dgtX1d = fl_bgn_form(FL_NO_BOX, 340, 310);

  obj = fl_add_box(FL_UP_BOX,0,0,340,310,"");

  fdui->title = obj = fl_add_text(FL_NORMAL_TEXT,30,10,280,40,
	"1-D DGT Options");
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLDITALIC_STYLE);

  fdui->file = obj = fl_add_text(FL_NORMAL_TEXT,30,60,280,30,word);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);

  obj = fl_add_box(FL_UP_BOX,10,90,320,10,"");

  fdui->binsX = obj = fl_add_counter(FL_NORMAL_COUNTER,70,130,130,30,"bins:");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_counter_return(obj, 1);
    fl_set_counter_bounds(obj,0.0,200.0);
    fl_set_counter_step(obj,1.0,5.0);
    fl_set_counter_precision(obj,0);

  fdui->SmParX = obj = fl_add_counter(FL_NORMAL_COUNTER,70,170,130,30,"SmPar:");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_counter_return(obj, 1);
    fl_set_counter_bounds(obj,0.0,20.0);
    fl_set_counter_step(obj,1.0,5.0);
    fl_set_counter_precision(obj,0);

  fdui->drawpts = obj = fl_add_button(FL_PUSH_BUTTON,220,130,100,30,
	"Draw Points");
    fl_set_button(obj, 0);

  fdui->brushX = obj = fl_add_button(FL_PUSH_BUTTON,220,170,100,30,"Brushing");
    fl_set_button(obj, 0);

  fdui->weights = obj = fl_add_button(FL_PUSH_BUTTON,220,210,100,30,"Add Weights");
    fl_set_button(obj, 0);

  fdui->quit = obj = fl_add_button(FL_NORMAL_BUTTON,280,250,40,50,"QUIT!");
    fl_set_button(obj, 0);

  fdui->frame = obj = fl_add_counter(FL_NORMAL_COUNTER,70,260,130,30,"");
    fl_set_counter_return(obj, 1);
    fl_set_counter_bounds(obj,0.0,10000.0);
    fl_set_counter_step(obj,1.0,5.0);
    fl_set_counter_precision(obj,0);

  fdui->frame_by_frame = obj = fl_add_button(FL_PUSH_BUTTON,80,220,110,30,
	"Frame by Frame");
    fl_set_button(obj,0);

  fl_end_form();

  return fdui;
}
/*---------------------------------------*/
