/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "dgtX2d.h"

FD_dgtX2d *create_form_dgtX2d(filename)
char *filename;
{
  FL_OBJECT *obj;
  char word[30];

  FD_dgtX2d *fdui = (FD_dgtX2d *) fl_calloc(1, sizeof(*fdui));

  fdui->dgtX2d = fl_bgn_form(FL_NO_BOX, 330, 410);
  obj = fl_add_box(FL_UP_BOX,0,0,330,410,"");

  fdui->title = obj =fl_add_text(FL_NORMAL_TEXT,20,10,290,30,"2-D DGT Options");
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_lstyle(obj,FL_ITALIC_STYLE+FL_EMBOSSED_STYLE);

  sprintf(word,"Dataset: %s",filename);
  obj = fl_add_text(FL_NORMAL_TEXT,20,50,290,30,word);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);

  obj = fl_add_box(FL_UP_BOX,20,80,290,10,"");

  fdui->binsX = obj = fl_add_counter(FL_NORMAL_COUNTER,70,120,110,30,"X");
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_counter_return(obj,1);
    fl_set_counter_bounds(obj,0.0,150.0);
    fl_set_counter_step(obj,1.0,5.0);
    fl_set_counter_precision(obj,0);

  fdui->binsY = obj = fl_add_counter(FL_NORMAL_COUNTER,190,120,110,30,"Y");
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_counter_return(obj,1);
    fl_set_counter_bounds(obj,0.0,150.0);
    fl_set_counter_step(obj,1.0,5.0);
    fl_set_counter_precision(obj,0);

  fdui->SmParX = obj = fl_add_counter(FL_NORMAL_COUNTER,70,170,110,30,"");
    fl_set_counter_return(obj, 1);
    fl_set_counter_bounds(obj,0.0,20.0);
    fl_set_counter_step(obj,1.0,5.0);
    fl_set_counter_precision(obj,0);

  fdui->SmParY = obj = fl_add_counter(FL_NORMAL_COUNTER,190,170,110,30,"");
    fl_set_counter_return(obj, 1);
    fl_set_counter_bounds(obj,0.0,20.0);
    fl_set_counter_step(obj,1.0,5.0);
    fl_set_counter_precision(obj,0);

  obj = fl_add_text(FL_NORMAL_TEXT,10,120,60,30,"bins :");
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);

  obj = fl_add_text(FL_NORMAL_TEXT,10,170,60,30,"Sm. Par :");
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);

  fdui->draw_pts = obj = fl_add_button(FL_PUSH_BUTTON,20,230,140,30,"Draw Points");
    fl_set_button(obj,0);

  fdui->add_brushing = obj = fl_add_button(FL_PUSH_BUTTON,170,230,140,30,"Add Brushing");
    fl_set_button(obj,0);

    fdui->frame_by_frame = obj = fl_add_button(FL_PUSH_BUTTON,10,370,
	110,30,"Frame by Frame");
    fl_set_button(obj,0);

    fdui->frame = obj = fl_add_counter(FL_NORMAL_COUNTER,130,370,140,30,"");
    fl_set_counter_return(obj, 1);
    fl_set_counter_bounds(obj,0.0,((double)(RUNLENGTH)));
    fl_set_counter_step(obj,1.0,5.0);
    fl_set_counter_precision(obj,0);

    fdui->vscale = obj = fl_add_valslider(FL_HOR_NICE_SLIDER,70,290,190,20,
	"Vertical Scaling");
    fl_set_object_lsize(obj,FL_DEFAULT_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_slider_return(obj, FL_RETURN_END);
    fl_set_slider_value(obj, 2.0);
    fl_set_slider_bounds(obj, 0.1, 5.0);

  fdui->quit = obj = fl_add_button(FL_PUSH_BUTTON,280,340,40,60,"QUIT!");
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE);

  fl_end_form();

  return fdui;
}
/*---------------------------------------*/
